//
// Copyright (c) 1999, Bernhard Tschirren
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// 1. Redistributions of the source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//
// 2. Any redistribution solely in binary form must conspicuously
//    reproduce the following disclaimer in documentation provided with
//    the binary redistribution.
//
// THIS SOFTWARE IS PROVIDED ``AS IS'', WITHOUT ANY WARRANTIES, EXPRESS
// OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  LICENSOR SHALL
// NOT BE LIABLE FOR ANY LOSS OR DAMAGES RESULTING FROM THE USE OF THIS
// SOFTWARE, EITHER ALONE OR IN COMBINATION WITH ANY OTHER SOFTWARE.
//

#ifndef _BT_FRUSTUM_H_
#define _BT_FRUSTUM_H_

#include "util/BaseClass.h"
#include "util/TArray.h"
#include "core/Plane.h"

class Frustum : public BaseClass
  {
  private: TArray<Plane> _planes;

  public: Frustum()
            {
            }

  public: Void addPlane(const Plane& plane)
            {
            _planes.add(plane);
            }

  public: const TArray<Plane>& getPlanes() const
            {
            return _planes;
            }

  TYPE_DATA // RTTI
  };

#endif /* _BT_FRUSTUM_H_ */