//
// Copyright (c) 1999, Bernhard Tschirren
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// 1. Redistributions of the source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//
// 2. Any redistribution solely in binary form must conspicuously
//    reproduce the following disclaimer in documentation provided with
//    the binary redistribution.
//
// THIS SOFTWARE IS PROVIDED ``AS IS'', WITHOUT ANY WARRANTIES, EXPRESS
// OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  LICENSOR SHALL
// NOT BE LIABLE FOR ANY LOSS OR DAMAGES RESULTING FROM THE USE OF THIS
// SOFTWARE, EITHER ALONE OR IN COMBINATION WITH ANY OTHER SOFTWARE.
//

#ifndef _BT_MODELNODE_H_
#define _BT_MODELNODE_H_

#include "core/RenderNode.h"
#include "core/Geometry.h"
#include "util/TArray.h"

class ModelNode : public RenderNode
  {
  private: TArray<Geometry*> _geometry;
  private: Int               _geometryObject;
  private: Int               _modCount;

  public:  ModelNode()
             : RenderNode(),
               _geometry(),
               _geometryObject(-1),
               _modCount(0)
             {
             }

  public:  const TArray<Geometry*>& getGeometry() const
             {
             return _geometry;
             }

  public:  Void add(Geometry* geometry)
             {
             _geometry.add(geometry);
             }

  public: virtual Boolean preRender(RenderProcess* process);
  public: virtual Void    postRender(RenderProcess* process);

  TYPE_DATA // RTTI
  };

#endif /* _BT_MODELNODE_H_ */