//
// Copyright (c) 1999, Bernhard Tschirren
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// 1. Redistributions of the source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//
// 2. Any redistribution solely in binary form must conspicuously
//    reproduce the following disclaimer in documentation provided with
//    the binary redistribution.
//
// THIS SOFTWARE IS PROVIDED ``AS IS'', WITHOUT ANY WARRANTIES, EXPRESS
// OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  LICENSOR SHALL
// NOT BE LIABLE FOR ANY LOSS OR DAMAGES RESULTING FROM THE USE OF THIS
// SOFTWARE, EITHER ALONE OR IN COMBINATION WITH ANY OTHER SOFTWARE.
//

#include "nodes/PointLightNode.h"
#include "core/RenderDevice.h"

//#include "GL/glu.h"

Boolean PointLightNode::preRender(RenderProcess* process)
  {
  return LightNode::preRender(process);
  }


Void PointLightNode::postRender(RenderProcess* process)
  {
  RenderDevice* device = process->getRenderDevice();

  device->addPointLight(_ambient,
                        _diffuse,
                        _specular,
                        _constantAttenuation,
                        _linearAttenuation,
                        _quadraticAttenuation);

  //glDisable(GL_LIGHTING);

  //glColor3f(1,1,1);

  //GLUquadricObj* obj = gluNewQuadric();
  //gluSphere(obj, 3, 6, 6);

  //glEnable(GL_LIGHTING);
  
  LightNode::postRender(process);
  }


RTTI_DEF1_INST(PointLightNode, "PointLightNode", LightNode)