//
// Copyright (c) 1999, Bernhard Tschirren
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// 1. Redistributions of the source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//
// 2. Any redistribution solely in binary form must conspicuously
//    reproduce the following disclaimer in documentation provided with
//    the binary redistribution.
//
// THIS SOFTWARE IS PROVIDED ``AS IS'', WITHOUT ANY WARRANTIES, EXPRESS
// OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  LICENSOR SHALL
// NOT BE LIABLE FOR ANY LOSS OR DAMAGES RESULTING FROM THE USE OF THIS
// SOFTWARE, EITHER ALONE OR IN COMBINATION WITH ANY OTHER SOFTWARE.
//

#include "parsers/Parser.h"
#include "core/RenderNode.h"

DECLARE_OBJECT_PARSER(ParseAttach)
DEFINE_OBJECT_PARSER (ParseAttach)


BaseClass* ParseAttach::parse(Parser& parser, BaseClass* owner)
  {
  RenderNode* parent;
  RenderNode* child;

  // Parse SRC
  parser.consume("parent");
  parser.consume(Parser::tokEQUAL);
  parent = (RenderNode*)parser.parseObject(NULL, STATIC_TYPE_INFO(RenderNode));

  // Parse DST
  parser.consume("child");
  parser.consume(Parser::tokEQUAL);
  child = (RenderNode*)parser.parseObject(NULL, STATIC_TYPE_INFO(RenderNode));

  // Do the deed...
  parent->attachChild(child);

  return NULL;
  }