//
// Copyright (c) 1999, Bernhard Tschirren
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// 1. Redistributions of the source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//
// 2. Any redistribution solely in binary form must conspicuously
//    reproduce the following disclaimer in documentation provided with
//    the binary redistribution.
//
// THIS SOFTWARE IS PROVIDED ``AS IS'', WITHOUT ANY WARRANTIES, EXPRESS
// OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  LICENSOR SHALL
// NOT BE LIABLE FOR ANY LOSS OR DAMAGES RESULTING FROM THE USE OF THIS
// SOFTWARE, EITHER ALONE OR IN COMBINATION WITH ANY OTHER SOFTWARE.
//

#include "parsers/Parser.h"
#include "nodes/CellNode.h"


DECLARE_OBJECT_PARSER(ParseCell)
DEFINE_OBJECT_PARSER (ParseCell)


BaseClass* ParseCell::parse(Parser& parser, BaseClass* owner)
  {
  CellNode*          cell;
  TArray<BaseClass*> geometry;

  // Create Object
  cell = new CellNode();

  // Parse Geometry
  parser.consume("geometry");
  parser.consume(Parser::tokEQUAL);
  parser.parseObjectArray(geometry, cell, STATIC_TYPE_INFO(Geometry));

  // Set Properties
  for (Int i = 0; i < geometry.getLength(); i++)
    cell->add((Geometry*)geometry[i]);

  return cell;
  }