//
// Copyright (c) 1999, Bernhard Tschirren
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// 1. Redistributions of the source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//
// 2. Any redistribution solely in binary form must conspicuously
//    reproduce the following disclaimer in documentation provided with
//    the binary redistribution.
//
// THIS SOFTWARE IS PROVIDED ``AS IS'', WITHOUT ANY WARRANTIES, EXPRESS
// OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  LICENSOR SHALL
// NOT BE LIABLE FOR ANY LOSS OR DAMAGES RESULTING FROM THE USE OF THIS
// SOFTWARE, EITHER ALONE OR IN COMBINATION WITH ANY OTHER SOFTWARE.
//

#include "parsers/Parser.h"
#include "core/Point.h"


DECLARE_OBJECT_PARSER(ParsePoint)
DEFINE_OBJECT_PARSER (ParsePoint)


BaseClass* ParsePoint::parse(Parser& parser, BaseClass* owner)
  {
  Float  x;
  Float  y;
  Float  z;
  Point* point;

  // Create Object
  point = new Point();

  // Parse X Component
  parser.consume("x");
  parser.consume(Parser::tokEQUAL);
  x = parser.parseFloat();

  // Parse Y Component
  parser.consume("y");
  parser.consume(Parser::tokEQUAL);
  y = parser.parseFloat();

  // Parse Z Component
  parser.consume("z");
  parser.consume(Parser::tokEQUAL);
  z = parser.parseFloat();

  // Set Properties
  point->set(x, y, z);

  return point;
  }