//
// Copyright (c) 1999, Bernhard Tschirren
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// 1. Redistributions of the source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//
// 2. Any redistribution solely in binary form must conspicuously
//    reproduce the following disclaimer in documentation provided with
//    the binary redistribution.
//
// THIS SOFTWARE IS PROVIDED ``AS IS'', WITHOUT ANY WARRANTIES, EXPRESS
// OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  LICENSOR SHALL
// NOT BE LIABLE FOR ANY LOSS OR DAMAGES RESULTING FROM THE USE OF THIS
// SOFTWARE, EITHER ALONE OR IN COMBINATION WITH ANY OTHER SOFTWARE.
//

#include "parsers/Parser.h"
#include "core/Vector.h"


DECLARE_OBJECT_PARSER(ParseVector)
DEFINE_OBJECT_PARSER (ParseVector)


BaseClass* ParseVector::parse(Parser& parser, BaseClass* owner)
  {
  Vector* vector;
  Float   i;
  Float   j;
  Float   k;  

  // Create Object
  vector = new Vector();

  // Parse I Component
  parser.consume("i");
  parser.consume(Parser::tokEQUAL);
  i = parser.parseFloat();

  // Parse J Component
  parser.consume("j");
  parser.consume(Parser::tokEQUAL);
  j = parser.parseFloat();

  // Parse K Component
  parser.consume("k");
  parser.consume(Parser::tokEQUAL);
  k = parser.parseFloat();

  // Set Properties
  vector->set(i, j, k);

  return vector;
  }