//
// Copyright (c) 1999, Bernhard Tschirren
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// 1. Redistributions of the source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//
// 2. Any redistribution solely in binary form must conspicuously
//    reproduce the following disclaimer in documentation provided with
//    the binary redistribution.
//
// THIS SOFTWARE IS PROVIDED ``AS IS'', WITHOUT ANY WARRANTIES, EXPRESS
// OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  LICENSOR SHALL
// NOT BE LIABLE FOR ANY LOSS OR DAMAGES RESULTING FROM THE USE OF THIS
// SOFTWARE, EITHER ALONE OR IN COMBINATION WITH ANY OTHER SOFTWARE.
//

#include "parsers/Parser.h"

DECLARE_OBJECT_PARSER(ParseAttach)
DECLARE_OBJECT_PARSER(ParseCamera)
DECLARE_OBJECT_PARSER(ParseColor)
DECLARE_OBJECT_PARSER(ParseCell)
DECLARE_OBJECT_PARSER(ParseDirectionalLight)
DECLARE_OBJECT_PARSER(ParseGeometry)
DECLARE_OBJECT_PARSER(ParseInclude)
DECLARE_OBJECT_PARSER(ParseMaterial)
DECLARE_OBJECT_PARSER(ParsePoint)
DECLARE_OBJECT_PARSER(ParsePortal)
DECLARE_OBJECT_PARSER(ParsePointLight)
DECLARE_OBJECT_PARSER(ParseReference)
DECLARE_OBJECT_PARSER(ParseRotationAngleAxis)
DECLARE_OBJECT_PARSER(ParseSurface)
DECLARE_OBJECT_PARSER(ParseTexCoord)
DECLARE_OBJECT_PARSER(ParseTexture)
DECLARE_OBJECT_PARSER(ParseVector)


Void RegisterClasses()
  {
  ParseAttach            parseAttach;            parseAttach.registerClass();
  ParseCamera            parseCamera;            parseCamera.registerClass();
  ParseColor             parseColor;             parseColor.registerClass();
  ParseCell              parseCell;              parseCell.registerClass();
  ParseDirectionalLight  parseDirectionalLight;  parseDirectionalLight.registerClass();
  ParseGeometry          parseGeometry;          parseGeometry.registerClass();
  ParseInclude           parseInclude;           parseInclude.registerClass();
  ParseMaterial          parseMaterial;          parseMaterial.registerClass();  
  ParsePoint             parsePoint;             parsePoint.registerClass();
  ParsePortal            parsePortal;            parsePortal.registerClass();
  ParsePointLight        parsePointLight;        parsePointLight.registerClass();
  ParseReference         parseReference;         parseReference.registerClass();
  ParseRotationAngleAxis parseRotationAngleAxis; parseRotationAngleAxis.registerClass();
  ParseSurface           parseSurface;           parseSurface.registerClass();
  ParseTexCoord          parseTexCoord;          parseTexCoord.registerClass();
  ParseTexture           parseTexture;           parseTexture.registerClass();
  ParseVector            parseVector;            parseVector.registerClass();
  }