Include { fileName = "materials.inc" }
Include { fileName = "textures.inc"  }
Include { fileName = "cell1.inc"     }
Include { fileName = "cell2.inc"     }
Include { fileName = "cell3.inc"     }
Include { fileName = "cell4.inc"     }
Include { fileName = "cell5.inc"     }
Include { fileName = "cell6.inc"     }


# -----------------------------------------
# Create first portal from cell 1 to cell 2
# -----------------------------------------
Portal portal1_c1_c2
  {
  vertices = [
             Point { x = -60 y = 50 z =  0 }
             Point { x = -60 y = 50 z = 40 }
             Point { x = -30 y = 50 z = 40 }
             Point { x = -30 y = 50 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell1         }
  child  = Reference { obj = portal1_c1_c2 }
  }

Attach
  {
  parent = Reference { obj = portal1_c1_c2 }
  child  = Reference { obj = cell2         }
  }

Portal portal1_c2_c1
  {
  vertices = [
             Point { x = -30 y = 50 z =  0 }
             Point { x = -30 y = 50 z = 40 }
             Point { x = -60 y = 50 z = 40 }
             Point { x = -60 y = 50 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell2         }
  child  = Reference { obj = portal1_c2_c1 }
  }

Attach
  {
  parent = Reference { obj = portal1_c2_c1 }
  child  = Reference { obj = cell1         }
  }


# ------------------------------------------
# Create second portal from cell 1 to cell 2
# ------------------------------------------
Portal portal2_c1_c2
  {
  vertices = [
             Point { x =  20 y = 50 z =  0 }
             Point { x =  20 y = 50 z = 40 }
             Point { x =  50 y = 50 z = 40 }
             Point { x =  50 y = 50 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell1         }
  child  = Reference { obj = portal2_c1_c2 }
  }

Attach
  {
  parent = Reference { obj = portal2_c1_c2 }
  child  = Reference { obj = cell2         }
  }

Portal portal2_c2_c1
  {
  vertices = [
             Point { x =  50 y = 50 z =  0 }
             Point { x =  50 y = 50 z = 40 }
             Point { x =  20 y = 50 z = 40 }
             Point { x =  20 y = 50 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell2         }
  child  = Reference { obj = portal2_c2_c1 }
  }

Attach
  {
  parent = Reference { obj = portal2_c2_c1 }
  child  = Reference { obj = cell1         }
  }


# -----------------------------------
# Create portal from cell 1 to cell 3
# -----------------------------------
Portal portal1_c1_c3
  {
  vertices = [
             Point { x = -280 y = -30 z =  0 }
             Point { x = -280 y = -30 z = 40 }
             Point { x = -280 y =  30 z = 40 }
             Point { x = -280 y =  30 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell1         }
  child  = Reference { obj = portal1_c1_c3 }
  }

Attach
  {
  parent = Reference { obj = portal1_c1_c3 }
  child  = Reference { obj = cell3         }
  }

Portal portal1_c3_c1
  {
  vertices = [
             Point { x = -280 y =  30 z =  0 }
             Point { x = -280 y =  30 z = 40 }
             Point { x = -280 y = -30 z = 40 }
             Point { x = -280 y = -30 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell3         }
  child  = Reference { obj = portal1_c3_c1 }
  }

Attach
  {
  parent = Reference { obj = portal1_c3_c1 }
  child  = Reference { obj = cell1         }
  }



# -----------------------------------
# Create portal from cell 1 to cell 4
# -----------------------------------
Portal portal1_c1_c4
  {
  vertices = [
             Point { x = 270 y =  30 z =  0 }
             Point { x = 270 y =  30 z = 40 }
             Point { x = 270 y = -30 z = 40 }
             Point { x = 270 y = -30 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell1         }
  child  = Reference { obj = portal1_c1_c4 }
  }

Attach
  {
  parent = Reference { obj = portal1_c1_c4 }
  child  = Reference { obj = cell4         }
  }

Portal portal1_c4_c1
  {
  vertices = [
             Point { x = 270 y = -30 z =  0 }
             Point { x = 270 y = -30 z = 40 }
             Point { x = 270 y =  30 z = 40 }
             Point { x = 270 y =  30 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell4         }
  child  = Reference { obj = portal1_c4_c1 }
  }

Attach
  {
  parent = Reference { obj = portal1_c4_c1 }
  child  = Reference { obj = cell1         }
  }


# -----------------------------------------
# Create first portal from cell 1 to cell 5
# -----------------------------------------
Portal portal1_c1_c5
  {
  vertices = [
             Point { x = 220 y = 200 z =  0 }
             Point { x = 220 y = 200 z = 50 }
             Point { x = 270 y = 200 z = 50 }
             Point { x = 270 y = 200 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell1         }
  child  = Reference { obj = portal1_c1_c5 }
  }

Attach
  {
  parent = Reference { obj = portal1_c1_c5 }
  child  = Reference { obj = cell5         }
  }

Portal portal1_c5_c1
  {
  vertices = [
             Point { x = 270 y = 200 z =  0 }
             Point { x = 270 y = 200 z = 50 }
             Point { x = 220 y = 200 z = 50 }
             Point { x = 220 y = 200 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell5         }
  child  = Reference { obj = portal1_c5_c1 }
  }

Attach
  {
  parent = Reference { obj = portal1_c5_c1 }
  child  = Reference { obj = cell1         }
  }


# ------------------------------------------
# Create second portal from cell 1 to cell 5
# ------------------------------------------
Portal portal2_c1_c5
  {
  vertices = [
             Point { x = -280 y = 200 z =  0 }
             Point { x = -280 y = 200 z = 50 }
             Point { x = -230 y = 200 z = 50 }
             Point { x = -230 y = 200 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell1         }
  child  = Reference { obj = portal2_c1_c5 }
  }

Attach
  {
  parent = Reference { obj = portal2_c1_c5 }
  child  = Reference { obj = cell5         }
  }

Portal portal2_c5_c1
  {
  vertices = [
             Point { x = -230 y = 200 z =  0 }
             Point { x = -230 y = 200 z = 50 }
             Point { x = -280 y = 200 z = 50 }
             Point { x = -280 y = 200 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell5         }
  child  = Reference { obj = portal2_c5_c1 }
  }

Attach
  {
  parent = Reference { obj = portal2_c5_c1 }
  child  = Reference { obj = cell1         }
  }


# -----------------------------------------
# Create first portal from cell 1 to cell 6
# -----------------------------------------
Portal portal1_c1_c6
  {
  vertices = [
             Point { x = 270 y = -200 z =  0 }
             Point { x = 270 y = -200 z = 50 }
             Point { x = 220 y = -200 z = 50 }
             Point { x = 220 y = -200 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell1         }
  child  = Reference { obj = portal1_c1_c6 }
  }

Attach
  {
  parent = Reference { obj = portal1_c1_c6 }
  child  = Reference { obj = cell6         }
  }

Portal portal1_c6_c1
  {
  vertices = [
             Point { x = 220 y = -200 z =  0 }
             Point { x = 220 y = -200 z = 50 }
             Point { x = 270 y = -200 z = 50 }
             Point { x = 270 y = -200 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell6         }
  child  = Reference { obj = portal1_c6_c1 }
  }

Attach
  {
  parent = Reference { obj = portal1_c6_c1 }
  child  = Reference { obj = cell1         }
  }


# ------------------------------------------
# Create second portal from cell 1 to cell 6
# ------------------------------------------
Portal portal2_c1_c6
  {
  vertices = [
             Point { x = -230 y = -200 z =  0 }
             Point { x = -230 y = -200 z = 50 }
             Point { x = -280 y = -200 z = 50 }
             Point { x = -280 y = -200 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell1         }
  child  = Reference { obj = portal2_c1_c6 }
  }

Attach
  {
  parent = Reference { obj = portal2_c1_c6 }
  child  = Reference { obj = cell6         }
  }

Portal portal2_c6_c1
  {
  vertices = [
             Point { x = -280 y = -200 z =  0 }
             Point { x = -280 y = -200 z = 50 }
             Point { x = -230 y = -200 z = 50 }
             Point { x = -230 y = -200 z =  0 }
             ]
  }

Attach
  {
  parent = Reference { obj = cell6         }
  child  = Reference { obj = portal2_c6_c1 }
  }

Attach
  {
  parent = Reference { obj = portal2_c6_c1 }
  child  = Reference { obj = cell1         }
  }


# -----------------------------------
# Create camara which is initially
# located in cell 1.
# -----------------------------------
Camera viewer
  {
  translation = Point
                  {
                  x =  86
                  y = -16
                  z =  25
                  }
  rotation    = RotationAngleAxis
                  {
                  angle = 1.768698e+000
                  axis  = Vector { i=-9.336190e-001 j=-2.692710e-001 k=-2.363220e-001 }
                  }
  }

Attach
  {
  parent = Reference { obj = cell1  }
  child  = Reference { obj = viewer }
  }
