//
// Copyright (c) 1999, Bernhard Tschirren
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// 1. Redistributions of the source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//
// 2. Any redistribution solely in binary form must conspicuously
//    reproduce the following disclaimer in documentation provided with
//    the binary redistribution.
//
// THIS SOFTWARE IS PROVIDED ``AS IS'', WITHOUT ANY WARRANTIES, EXPRESS
// OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  LICENSOR SHALL
// NOT BE LIABLE FOR ANY LOSS OR DAMAGES RESULTING FROM THE USE OF THIS
// SOFTWARE, EITHER ALONE OR IN COMBINATION WITH ANY OTHER SOFTWARE.
//

#ifndef _BT_BASECLASS_H_
#define _BT_BASECLASS_H_

#include "util/Types.h"
#include "util/Exceptions.h"
#include "util/rtti.h"

/**
 * The base class, from which _most_ classes ultimately derive.
 * All classes that want to use RTTI _must_ somehow derive from
 * this class.
 *
 * @author  Bernhard Tschirren <bernie-t@geocities.com>
 * @version 1.0 - August 1999 - Initial version
 */
class BaseClass
  {
  public: virtual ~BaseClass();
  public: Void     registerClass() const;

  TYPE_DATA // RTTI
  };

#endif /* _BT_BASECLASS_H_ */