//
// Copyright (c) 1999, Bernhard Tschirren
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// 1. Redistributions of the source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//
// 2. Any redistribution solely in binary form must conspicuously
//    reproduce the following disclaimer in documentation provided with
//    the binary redistribution.
//
// THIS SOFTWARE IS PROVIDED ``AS IS'', WITHOUT ANY WARRANTIES, EXPRESS
// OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  LICENSOR SHALL
// NOT BE LIABLE FOR ANY LOSS OR DAMAGES RESULTING FROM THE USE OF THIS
// SOFTWARE, EITHER ALONE OR IN COMBINATION WITH ANY OTHER SOFTWARE.
//

#ifndef _BT_DEBUG_H_
#define _BT_DEBUG_H_

#include "util/Types.h"
#include "util/FileStream.h"

class Debug
  {
  private: FileStream _stream;

  public: Debug(const String& fileName)
            : _stream(fileName, "a")
            {}

  public: Void write(const Char* format, ...)
            {
            va_list args;

            va_start(args, format);
            _stream.vprintf(format, args);
            _stream.flush();
            va_end(args);
            }
  };

#endif /* _BT_DEBUG_H_ */