//
// Copyright (c) 1999, Bernhard Tschirren
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// 1. Redistributions of the source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//
// 2. Any redistribution solely in binary form must conspicuously
//    reproduce the following disclaimer in documentation provided with
//    the binary redistribution.
//
// THIS SOFTWARE IS PROVIDED ``AS IS'', WITHOUT ANY WARRANTIES, EXPRESS
// OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  LICENSOR SHALL
// NOT BE LIABLE FOR ANY LOSS OR DAMAGES RESULTING FROM THE USE OF THIS
// SOFTWARE, EITHER ALONE OR IN COMBINATION WITH ANY OTHER SOFTWARE.
//

#include "util/Library.h"


Library::Library(const String& name)
  : _name(name)
  {
  _handle = LoadLibrary((const Char*)name);
  if (!_handle)
    throw LibraryException(String().setFormatted("Cannot load library '%s'", (const Char*)name));
  }


Library::~Library()
  {
  FreeLibrary(_handle);
  }


Void* Library::link(const String& identifier)
  {
  Void* address;

  address = GetProcAddress(_handle, identifier.getPtr());
  if (!address)
    address = wglGetProcAddress(identifier.getPtr());

  return address;
  }